org.codehaus.plexus.component.factory

## Interface ComponentFactoryManager

All Known Implementing Classes:
  DefaultComponentFactoryManager

    public interface ComponentFactoryManager

Version:
  $Id: ComponentFactoryManager.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Method Summary

Methods
`ComponentFactory` `findComponentFactory(String id)`
`ComponentFactory` `getDefaultComponentFactory()`

### Method Detail

#### findComponentFactory

    ComponentFactory findComponentFactory(String id)
                                          throws UndefinedComponentFactoryException

Throws:
  `UndefinedComponentFactoryException`

#### getDefaultComponentFactory

    ComponentFactory getDefaultComponentFactory()
                                                throws UndefinedComponentFactoryException

Throws:
  `UndefinedComponentFactoryException`